## class Fl_Toggle_Button

### Class Hierarchy

    Fl_Button
       |
       +----Fl_Toggle_Button

### Include Files

    #include <FL/Fl_Toggle_Button.H>

### Description

The toggle button is a push button that needs to be clicked once to toggle on, and one more time to toggle off. The `Fl_Toggle_Button` subclass displays the "on" state by drawing a pushed-in button.

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for `type()` and `when()`.

### Methods

- Fl_Toggle_Button
- ~Fl_Toggle_Button

#### Fl_Toggle_Button::Fl_Toggle_Button(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Toggle_Button` widget using the given position, size, and label string.

#### Fl_Toggle_Button::~Fl_Toggle_Button()

The destructor deletes the toggle button.